package cn.iocoder.yudao.module.erp.controller.admin.mold.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum OrgTypeStatusEnum {
    zhijiang("zhijiang", "制浆"),
    duidie("duidie", "堆叠"),
    chengxing("chengxing", "成型"),
    honggan("honggan", "烘干"),
    zhuanyi("zhuanyi", "转移"),
    jiashi("jiashi", "加湿"),
    reya("reya", "热压"),
    qiebian("qiebian", "切边"),
    pinjian("pinjian", "品检"),
    dabao("dabao", "打包"),
    tiebiao("tiebiao", "贴标"),
    sufeng("sufeng", "塑封"),
    pinyin("pinyin", "品印");

    private final String orgtype;
    private final String description;

    public static OrgTypeStatusEnum getByCode(String code) {
        for (OrgTypeStatusEnum status : values()) {
            if (status.getOrgtype().equals(code)) {
                return status;
            }
        }
        return null;
    }
}
